% Definindo parametros da simulacao
dt=0.1;              % passo na condicao inicial
a=-3.0;               % valor minimo para condicao inicial
b=3.0;               % valor maximo para condicao inicial
ds=0.1;              % passo de tempo
T=4;                 % tempo maximo simulado

% Numero de passos
Nt=1 + (b-a)/dt;        % numero de passos na condicao inicial
Ns = 1 + T/ds;          % numero de passos no tempo

% inicializacao das variaveis
t1 = zeros(Ns);
t2 = zeros(Ns);
u = zeros(Ns);

%figure

% Iterando condicao inicial
for i=1:Nt
  t1(1)=0;
  t2(1)=a+(i-1)*dt;
  u(1)= 1/(1+t2(1)*t2(1));
   
   
  % Iterando o metodo de Euler 
  for j=2:Ns
    t1(j)=t1(j-1)+(ds/10)*(10+u(j-1)*u(j-1));
    t2(j)=t2(j-1)+(ds/10)*t1(j-1)*t2(j-1);
    u(j)=u(j-1)+(ds/10)*(t1(j-1)+t2(j-1));
  end

% Representacao grafica da curva característica
  plot3(t1,t2,u)
  hold on    
end

